body {
  background-color: $gray-100;
}

main {
  @extend .container-lg;
  @extend .p-0;
  @extend .pt-sm-4;
  @extend .px-sm-4;

  @include media-breakpoint-up(lg) {
    display: grid;
    grid-template-columns: auto $sidebar-width;
    grid-template-areas:
      "m s";
    align-items: start;
    gap: map-get($spacers, 4);
  }
}

// Sidebar
main > aside {
  // We do not display sidebar on mobile devices
  display: none;

  @include media-breakpoint-up(lg) {
    grid-area: s;
    display: grid;
    gap: $grid-gutter-width;
    align-self: start;
    width: $sidebar-width;
    top: map-get($spacers, 4);
    position: sticky;
  }
}

.main-content {
  @extend .shadow-sm;
  @extend .rounded;
  grid-area: m;
  background-color: $white;

  // We may not @extend selectors across media queries, so we unset border-radius manually.
  @include media-breakpoint-down(sm) {
    border-radius: 0;
  }
  @include media-breakpoint-up(sm) {
    padding: map-get($spacers, 4);
  }
}
